<template>
  <v-container>
    <br>
    <v-divider/>
    <br>
    <h1 class="text--primary" id="anchor-projects">Projects</h1>
    <br>
    <v-row>
      <v-col :md="12/projects.length > 3 ? 12/projects.length : 3" cols="12" v-for="project in projects" :key="project.name">
        <a :href="project.url" :target="project.new_tab ? 'blank' : 'self'">
          <v-card>
            <v-img
                :src="project.image.url"
                :alt="'project image of '+project.name"
                :height="project.image.height+'px'"
                :style="'margin: ' +
                project.image.space_on_top + 'px ' +
                project.image.space_on_side + 'px 0 ' +
                project.image.space_on_side + 'px'"
                contain/>
            <v-card-title>
              {{project.name}}
            </v-card-title>
            <v-card-text>
              {{project.description}}
            </v-card-text>
          </v-card>
        </a>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: "Projects",
  data: () => ({
    projects: [
      {
        name: "Homelab",
        image: {
          url: undefined,
          height: undefined,
          space_on_side: undefined,
          space_on_top: undefined
        },
        description: "My Unifi and DIY homelab: the project I probably spent the most time (and money...) on. It's " +
            "great for making small it projects and experimenting around with tech and software. " +
            "Money and time well spent!",
        url: undefined,
        new_tab: false
      },
      {
        name: "Home Assistant",
        image: {
          url: "https://devotics.fr/wp-content/uploads/2017/06/home-assistant.png",
          height: 165,
          space_on_side: 0,
          space_on_top: 0
        },
        description: "Home Assistant is a simple smart home solution I use to connect my smart devices. This way I'm" +
            "not required to use like 5 different apps for every brand.",
        url: "https://home-assistant.io",
        new_tab: true
      },
      {
        name: "Pi-Hole",
        image: {
          url: "https://raspberrytips.com/wp-content/uploads/2019/04/pihole.png",
          height: 130,
          space_on_side: 10,
          space_on_top: 0
        },
        description: "The black hole for the adverts, trackers and all the other nasty stuff in my internet " +
            "traffic. Works great for playing shitty mobile games without distracting ads and gets rid of a lot of" +
            "trackers. I still need an advanced ad and tracker blocker on my devices as this is just for dns resolution",
        url: "https://pi-hole.net",
        new_tab: true
      },
      {
        name: "Prusa MK3S+",
        image: {
          url: "",
          height: 0,
          space_on_side: 0,
          space_on_top: 0
        },
        description: "My 3d printer I bought a while ago. Works great and is really useful in case I need something " +
            "simple without wanting to pay a fortune for it. Click on this card to request a print. Delivery in " +
            "switzerland only and a finished model file (.stl, .obj, etc.) is needed.",
        url: "#anchor-prints",
        new_tab: false
      }
    ]
  })
}
</script>

<style lang="scss">
a {
  text-decoration: none;
}
</style>